<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>birdshot &#8212; birdshot 0.0.post1.dev20+g168d24e.d20231220 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=233b9934" />
    <script src="_static/documentation_options.js?v=c5a7b33d"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="birdshot" href="readme.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="birdshot">
<h1>birdshot<a class="headerlink" href="#birdshot" title="Link to this heading">¶</a></h1>
<p>This is the documentation of <strong>birdshot</strong>. This package handles communication with the BIRDSHOT team’s
chosen data storage backend, Google Drive, handles conversion into a directed graph, and provides basic
transformations and operations to work with data stored in that backend.</p>
<p>Like the posix command line or with similarities to the <strong>imagemagick</strong> suite of commands, <strong>birdshot</strong>
passes the result (output) of each command as the input to the next. For example:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>birdshot --username $USERNAME --password $PASSWORD graph dump graph.pkl
</pre></div>
</div>
<p>loads the current contents of the BIRDSHOT data store into a pickle archive.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Python’s pickle archives are not good for long-term archival storage or for data exchange as they
are (a) able to execute arbitrary code and (b) sensitive to pickle version and locally installed
packages. Therefore, these should only be used locally (on Seven Bridges) to persist data as a
cache or working copy.</p>
</div>
<section id="contents">
<h2>Contents<a class="headerlink" href="#contents" title="Link to this heading">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="readme.html">Overview</a><ul>
<li class="toctree-l2"><a class="reference internal" href="readme.html#installation">Installation</a></li>
<li class="toctree-l2"><a class="reference internal" href="readme.html#usage">Usage</a></li>
<li class="toctree-l2"><a class="reference internal" href="readme.html#note">Note</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="cli.html">CLI</a><ul>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-aggregate">aggregate</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-all">all</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-any">any</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-apply">apply</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-bool">bool</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-children">children</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-dict">dict</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-download">download</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-drop">drop</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-dump">dump</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-dumps">dumps</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-field">field</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-get">get</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-graph">graph</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-iter">iter</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-len">len</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-list">list</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-load">load</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-model-dump">model-dump</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-node-filter">node-filter</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-nodes">nodes</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-parents">parents</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-path">path</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-pop">pop</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-propagate">propagate</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-push">push</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-reduce">reduce</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-replace">replace</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-store">store</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-str">str</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-strip">strip</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-tabulate">tabulate</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-to-csv">to-csv</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-unpack">unpack</a></li>
<li class="toctree-l2"><a class="reference internal" href="cli.html#birdshot-where">where</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributions &amp; Help</a><ul>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#issue-reports">Issue Reports</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#documentation-improvements">Documentation Improvements</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#code-contributions">Code Contributions</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#maintainer-tasks">Maintainer tasks</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="changelog.html">Changelog</a><ul>
<li class="toctree-l2"><a class="reference internal" href="changelog.html#version-0-1">Version 0.1</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="api/modules.html">Module Reference</a><ul>
<li class="toctree-l2"><a class="reference internal" href="api/birdshot.html">birdshot package</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="indices-and-tables">
<h2>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Link to this heading">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="#">birdshot</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="readme.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="cli.html">CLI</a></li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="changelog.html">Changelog</a></li>
<li class="toctree-l1"><a class="reference internal" href="api/modules.html">Module Reference</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="#">Documentation overview</a><ul>
      <li>Next: <a href="readme.html" title="next chapter">birdshot</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Contextualize LLC.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="_sources/index.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>